Get JSON Web Key (JWK)
GET /obp/v7.0.0/certs
OBPv3.1.0-getServerJWK No role required APIAccount Information Service (AIS)PSD2
Get the server's public JSON Web Key (JWK) set and certificate chain. It is required by client applications to validate ID tokens, self-contained access tokens and other issued objects.
User Authentication is Optional. The User need not be logged in.
JSON response body fields (5)
- e
- kid
- kty
- n
- use
Example success response
{
"kty": "RSA",
"e": "AQAB",
"use": "sig",
"kid": "fr6-BxXH5gikFeZ2O6rGk0LUmJpukeswASN_TMW8U_s",
"n": "hrB0OWqg6AeNU3WCnhheG18R5EbQtdNYGOaSeylTjkj2lZr0_vkhNVYvase-CroxO4HOT06InxTYwLnmJiyv2cZxReuoVjTlk--olGu-9MZooiFiqWez0JzndyKxQ27OiAjFsMh0P04kaUXeHKhXRfiU7K2FqBshR1UlnWe7iHLkq2p9rrGjxQc7ff0w-Uc0f-8PWg36Y2Od7s65493iVQwnI13egqMaSvgB1s8_dgm08noEjhr8C5m1aKmr5oipWEPNi-SBV2VNuiCLR1IEPuXq0tOwwZfv31t34KPO-2H2bbaWmzGJy9mMOGqoNrbXyGiUZoyeHRELaNtm1GilyQ"
}Possible errors (1)
- OBP-50000: Unknown Error.